commonmark-extensions-0.2.7: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Strikethrough

# Documentation

class HasStrikethrough a where Source #

Methods

strikethrough :: a -> a Source #

#### Instances

Instances details

HasStrikethrough (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Strikethrough Methods strikethrough :: Html a -> Html a Source #
(HasStrikethrough i, Monoid i) => HasStrikethrough (WithSourceMap i) Source # |
Instance details Defined in Commonmark.Extensions.Strikethrough Methods strikethrough :: WithSourceMap i -> WithSourceMap i Source #

strikethroughSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasStrikethrough il) => SyntaxSpec m il bl Source #